<?PHP

/* ====================
Seditio - Website engine
Copyright Neocrome
http://www.neocrome.net

[BEGIN_SED]
File=plugins/overview/overview.php
Version=100
Updated=2006-jan-01
Type=Plugin
Author=Neocrome
Description=
[END_SED]

[BEGIN_SED_EXTPLUGIN]
Code=overview
Part=main
File=overview
Hooks=standalone
Tags=
Minlevel=0
Order=10
[END_SED_EXTPLUGIN]

==================== */

if (!defined('SED_CODE') || !defined('SED_PLUG')) { sed_diefatal('Wrong URL.'); }

$plugin_title = $L['plu_title'];

$plugin_body .= "</ul><h4>".$L['Pages']." :</h4><ul>";

$sql = sed_sql_query("SELECT page_id, page_title FROM $db_pages WHERE page_cat='system' AND page_state='0' ORDER by page_title");

while ($row = sed_sql_fetcharray($sql))
        {
        $plugin_body .= "<li>"."<a href=\"page.php?id=".$row["page_id"]."\">".sed_cc($row['page_title'])."</a></li>";
        }

$sql = sed_sql_query("SELECT DISTINCT page_cat FROM $db_pages AS p LEFT JOIN $db_structure AS s ON s.structure_code=p.page_cat WHERE page_state='0' ORDER BY structure_path ASC ");

while ($row = sed_sql_fetcharray($sql))
        {
        $page_cat = $row['page_cat'];

        if ($page_cat != 'system' && sed_auth('page', $page_cat, 'R'))
                {
                $sql1 = sed_sql_query("SELECT COUNT(*) FROM $db_pages WHERE page_cat='$page_cat'");
                $page_count = sed_sql_result($sql1,0,"COUNT(*)");
                $fcat = $sed_cat[$page_cat]['tpath'];

                if (empty($fcat))
                        { $fcat = $page_cat . " ?"; }

                $plugin_body .= "<li><a href=\"list.php?c=".$page_cat."\">".$fcat."</a> (".$page_count.")</li>";
                }
        }

$plugin_body .= (!sed_sql_numrows($sql)) ? "<li>".$L['None']."</li>" : '';

$plugin_body .= "</ul><h4>".$L['Forums']." :</h4><ul>";

$sql = sed_sql_query("SELECT s.fs_id, s.fs_title, s.fs_category, s.fs_topiccount, s.fs_postcount FROM $db_forum_sections AS s LEFT JOIN
$db_forum_structure AS n ON n.fn_code=s.fs_category
    ORDER by fn_path ASC, fs_order ASC");

while ($row = sed_sql_fetcharray($sql))
{
$plugin_body .= (sed_auth('forums', $row['fs_id'], 'R')) ? "<li>".sed_build_forums($row['fs_id'], $row['fs_title'], $row['fs_category'])." (".$row['fs_topiccount']."/".$row['fs_postcount'].")</li>" : '';
}

$plugin_body .= (!sed_sql_numrows($sql)) ? "<li>".$L['None']."</li>" : '';

$plugin_body .= "</ul>";

?>